# SAXParseException Class Reference

Encapsulate an XML parse error or warning. More...

Inheritance diagram for SAXParseException:

List of all members.

## Public Member Functions

Constructors and Destructor
| SAXParseException (const XMLCh *const message, const Locator &locator, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXParseException from a message and a Locator.
| SAXParseException (const XMLCh *const message, const XMLCh *const publicId, const XMLCh *const systemId, const XMLFileLoc lineNumber, const XMLFileLoc columnNumber, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXParseException.
| SAXParseException (const SAXParseException &toCopy)
| Copy constructor.
| ~SAXParseException ()
| Destructor.
Assignment operator
SAXParseException & | operator= (const SAXParseException &toAssign)
| Assignment operator.
Getter methods
XMLFileLoc | getColumnNumber () const
| The column number of the end of the text where the exception occurred.
XMLFileLoc | getLineNumber () const
| The line number of the end of the text where the exception occurred.
const XMLCh * | getPublicId () const
| Get the public identifier of the entity where the exception occurred.
const XMLCh * | getSystemId () const
| Get the system identifier of the entity where the exception occurred.

## Detailed Description

Encapsulate an XML parse error or warning.

This exception will include information for locating the error in the original XML document. Note that although the application will receive a SAXParseException as the argument to the handlers in the ErrorHandler interface, the application is not actually required to throw the exception; instead, it can simply read the information in it and take a different action.

Since this exception is a subclass of SAXException, it inherits the ability to wrap another exception.

See also:
  SAXException::SAXException

  Locator::Locator

  ErrorHandler::ErrorHandler

## Constructor & Destructor Documentation

SAXParseException::SAXParseException | ( | const XMLCh *const | message,
|  | const Locator & | locator,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

Create a new SAXParseException from a message and a Locator.

This constructor is especially useful when an application is creating its own exception from within a DocumentHandler callback.

Parameters:

  | message | The error or warning message.
  | locator | The locator object for the error or warning.
  | manager | Pointer to the memory manager to be used to allocate objects.

See also:
  Locator::Locator

  Parser::setLocale

SAXParseException::SAXParseException | ( | const XMLCh *const | message,
|  | const XMLCh *const | publicId,
|  | const XMLCh *const | systemId,
|  | const XMLFileLoc | lineNumber,
|  | const XMLFileLoc | columnNumber,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

Create a new SAXParseException.

This constructor is most useful for parser writers.

If the system identifier is a URL, the parser must resolve it fully before creating the exception.

Parameters:

  | message | The error or warning message.
  | publicId | The public identifier of the entity that generated the error or warning.
  | systemId | The system identifier of the entity that generated the error or warning.
  | lineNumber | The line number of the end of the text that caused the error or warning.
  | columnNumber | The column number of the end of the text that caused the error or warning.
  | manager | Pointer to the memory manager to be used to allocate objects.

See also:
  Parser::setLocale

SAXParseException::SAXParseException | ( | const SAXParseException & | toCopy | ) |

Copy constructor.

Parameters:

  | toCopy | The object to be copied

SAXParseException::~SAXParseException | ( |  | ) |

Destructor.

## Member Function Documentation

SAXParseException& SAXParseException::operator= | ( | const SAXParseException & | toAssign | ) |

Assignment operator.

Parameters:

  | toAssign | The object to be copied through assignment

XMLFileLoc SAXParseException::getColumnNumber | ( |  | ) | const

The column number of the end of the text where the exception occurred.

The first column in a line is position 1.

Returns:
  An integer representing the column number, or 0 if none is available.

See also:
  Locator::getColumnNumber

XMLFileLoc SAXParseException::getLineNumber | ( |  | ) | const

The line number of the end of the text where the exception occurred.

Returns:
  An integer representing the line number, or 0 if none is available.

See also:
  Locator::getLineNumber

const XMLCh* SAXParseException::getPublicId | ( |  | ) | const

Get the public identifier of the entity where the exception occurred.

Returns:
  A string containing the public identifier, or null if none is available.

See also:
  Locator::getPublicId

const XMLCh* SAXParseException::getSystemId | ( |  | ) | const

Get the system identifier of the entity where the exception occurred.

If the system identifier is a URL, it will be resolved fully.

Returns:
  A string containing the system identifier, or null if none is available.

See also:
  Locator::getSystemId

The documentation for this class was generated from the following file:

- SAXParseException.hpp